Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 4901)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1)
@@ -1902,355 +1420,433 @@
           CASE ( 's', '#s' )
              IF ( .NOT. passive_scalar )  THEN
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for passive_scalar = .FALSE.'
-                CALL message( 'check_parameters', 'PA0093', 1, 2, 0, 6, 0 )
+                IF ( myid == 0 )  THEN
+                   PRINT*, '+++ check_parameters:  data_output_pr = ', &
+                           data_output_pr(i),                          &
+                           '    is not implemented for passive_scalar = FALSE'
+                ENDIF
+                CALL local_stop
              ELSE
-                dopr_index(i) = 115
-                dopr_unit(i)  = 'kg/m3'
-                hom(:,2,115,:) = SPREAD( zu, 2, statistic_regions+1 )
-                IF ( data_output_pr(i)(1:1) == '#' )  THEN
-                   dopr_initial_index(i) = 121
-                   hom(:,2,121,:)        = SPREAD( zu, 2, statistic_regions+1 )
-                   hom(nzb,2,121,:)      = 0.0_wp    ! because zu(nzb) is negative
-                   data_output_pr(i)     = data_output_pr(i)(2:)
-                ENDIF
-             ENDIF
-
-          CASE ( 'qv', '#qv' )
-             IF ( .NOT. bulk_cloud_model ) THEN
                 dopr_index(i) = 41
-                dopr_unit(i)  = 'kg/kg'
-                hom(:,2,41,:) = SPREAD( zu, 2, statistic_regions+1 )
+                hom(:,2,41,:)  = SPREAD( zu, 2, statistic_regions+1 )
                 IF ( data_output_pr(i)(1:1) == '#' )  THEN
                    dopr_initial_index(i) = 26
                    hom(:,2,26,:)         = SPREAD( zu, 2, statistic_regions+1 )
-                   hom(nzb,2,26,:)       = 0.0_wp    ! because zu(nzb) is negative
+                   hom(nzb,2,26,:)       = 0.0    ! weil zu(nzb) negativ ist
+                   data_output_pr(i)     = data_output_pr(i)(2:)
+                ENDIF
+             ENDIF
+
+          CASE ( 'qv', '#qv' )
+             IF ( .NOT. cloud_physics ) THEN
+                dopr_index(i) = 41
+                hom(:,2,41,:)  = SPREAD( zu, 2, statistic_regions+1 )
+                IF ( data_output_pr(i)(1:1) == '#' )  THEN
+                   dopr_initial_index(i) = 26
+                   hom(:,2,26,:)         = SPREAD( zu, 2, statistic_regions+1 )
+                   hom(nzb,2,26,:)       = 0.0    ! weil zu(nzb) negativ ist
                    data_output_pr(i)     = data_output_pr(i)(2:)
                 ENDIF
              ELSE
                 dopr_index(i) = 42
-                dopr_unit(i)  = 'kg/kg'
-                hom(:,2,42,:) = SPREAD( zu, 2, statistic_regions+1 )
+                hom(:,2,42,:)  = SPREAD( zu, 2, statistic_regions+1 )
                 IF ( data_output_pr(i)(1:1) == '#' )  THEN
                    dopr_initial_index(i) = 27
                    hom(:,2,27,:)         = SPREAD( zu, 2, statistic_regions+1 )
-                   hom(nzb,2,27,:)       = 0.0_wp   ! because zu(nzb) is negative
+                   hom(nzb,2,27,:)       = 0.0    ! weil zu(nzb) negativ ist
                    data_output_pr(i)     = data_output_pr(i)(2:)
                 ENDIF
              ENDIF
 
-          CASE ( 'thetal', '#thetal' )
-             IF ( .NOT. bulk_cloud_model ) THEN
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for bulk_cloud_model = .FALSE.'
-                CALL message( 'check_parameters', 'PA0094', 1, 2, 0, 6, 0 )
+          CASE ( 'lpt', '#lpt' )
+             IF ( .NOT. cloud_physics ) THEN
+                IF ( myid == 0 )  THEN
+                   PRINT*, '+++ check_parameters:  data_output_pr = ', &
+                           data_output_pr(i),                          &
+                           '    is not implemented for cloud_physics = FALSE'
+                ENDIF
+                CALL local_stop
              ELSE
                 dopr_index(i) = 4
-                dopr_unit(i)  = 'K'
                 hom(:,2,4,:)  = SPREAD( zu, 2, statistic_regions+1 )
                 IF ( data_output_pr(i)(1:1) == '#' )  THEN
                    dopr_initial_index(i) = 7
                    hom(:,2,7,:)          = SPREAD( zu, 2, statistic_regions+1 )
-                   hom(nzb,2,7,:)        = 0.0_wp    ! because zu(nzb) is negative
+                   hom(nzb,2,7,:)        = 0.0    ! weil zu(nzb) negativ ist
                    data_output_pr(i)     = data_output_pr(i)(2:)
                 ENDIF
              ENDIF
 
-          CASE ( 'thetav', '#thetav' )
+          CASE ( 'vpt', '#vpt' )
              dopr_index(i) = 44
-             dopr_unit(i)  = 'K'
-             hom(:,2,44,:) = SPREAD( zu, 2, statistic_regions+1 )
+             hom(:,2,44,:)  = SPREAD( zu, 2, statistic_regions+1 )
              IF ( data_output_pr(i)(1:1) == '#' )  THEN
                 dopr_initial_index(i) = 29
                 hom(:,2,29,:)         = SPREAD( zu, 2, statistic_regions+1 )
-                hom(nzb,2,29,:)       = 0.0_wp    ! because zu(nzb) is negative
+                hom(nzb,2,29,:)       = 0.0    ! weil zu(nzb) negativ ist
                 data_output_pr(i)     = data_output_pr(i)(2:)
              ENDIF
 
-          CASE ( 'w"thetav"' )
+          CASE ( 'w"vpt"' )
              dopr_index(i) = 45
-             dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,45,:) = SPREAD( zw, 2, statistic_regions+1 )
 
-          CASE ( 'w*thetav*' )
+          CASE ( 'w*vpt*' )
              dopr_index(i) = 46
-             dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,46,:) = SPREAD( zw, 2, statistic_regions+1 )
 
-          CASE ( 'wthetav' )
+          CASE ( 'wvpt' )
              dopr_index(i) = 47
-             dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,47,:) = SPREAD( zw, 2, statistic_regions+1 )
 
           CASE ( 'w"q"' )
-             IF ( .NOT. humidity )  THEN
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for humidity = .FALSE.'
-                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
+             IF ( .NOT. cloud_physics ) THEN
+                IF ( myid == 0 )  THEN
+                   PRINT*, '+++ check_parameters:  data_output_pr = ', &
+                           data_output_pr(i),                          &
+                           '    is not implemented for cloud_physics = FALSE'
+                ENDIF
+                CALL local_stop
              ELSE
                 dopr_index(i) = 48
-                dopr_unit(i)  = TRIM ( waterflux_output_unit )
                 hom(:,2,48,:) = SPREAD( zw, 2, statistic_regions+1 )
              ENDIF
 
           CASE ( 'w*q*' )
-             IF ( .NOT. humidity )  THEN
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for humidity = .FALSE.'
-                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
+             IF ( .NOT. cloud_physics ) THEN
+                IF ( myid == 0 )  THEN
+                   PRINT*, '+++ check_parameters:  data_output_pr = ', &
+                           data_output_pr(i),                          &
+                           '    is not implemented for cloud_physics = FALSE'
+                ENDIF
+                CALL local_stop
              ELSE
                 dopr_index(i) = 49
-                dopr_unit(i)  = TRIM ( waterflux_output_unit )
                 hom(:,2,49,:) = SPREAD( zw, 2, statistic_regions+1 )
              ENDIF
 
           CASE ( 'wq' )
-             IF ( .NOT. humidity )  THEN
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for humidity = .FALSE.'
-                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
+             IF ( .NOT. cloud_physics ) THEN
+                IF ( myid == 0 )  THEN
+                   PRINT*, '+++ check_parameters:  data_output_pr = ', &
+                           data_output_pr(i),                          &
+                           '    is not implemented for cloud_physics = FALSE'
+                ENDIF
+                CALL local_stop
              ELSE
                 dopr_index(i) = 50
-                dopr_unit(i)  = TRIM ( waterflux_output_unit )
                 hom(:,2,50,:) = SPREAD( zw, 2, statistic_regions+1 )
              ENDIF
 
           CASE ( 'w"s"' )
-             IF ( .NOT. passive_scalar )  THEN
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for passive_scalar = .FALSE.'
-                CALL message( 'check_parameters', 'PA0093', 1, 2, 0, 6, 0 )
+             IF ( .NOT. passive_scalar ) THEN
+                IF ( myid == 0 )  THEN
+                   PRINT*, '+++ check_parameters:  data_output_pr = ', &
+                           data_output_pr(i),                          &
+                           '    is not implemented for passive_scalar = FALSE'
+                ENDIF
+                CALL local_stop
              ELSE
-                dopr_index(i) = 117
-                dopr_unit(i)  = 'kg/m3 m/s'
-                hom(:,2,117,:) = SPREAD( zw, 2, statistic_regions+1 )
+                dopr_index(i) = 48
+                hom(:,2,48,:) = SPREAD( zw, 2, statistic_regions+1 )
              ENDIF
 
           CASE ( 'w*s*' )
-             IF ( .NOT. passive_scalar )  THEN
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for passive_scalar = .FALSE.'
-                CALL message( 'check_parameters', 'PA0093', 1, 2, 0, 6, 0 )
+             IF ( .NOT. passive_scalar ) THEN
+                IF ( myid == 0 )  THEN
+                   PRINT*, '+++ check_parameters:  data_output_pr = ', &
+                           data_output_pr(i),                          &
+                           '    is not implemented for passive_scalar = FALSE'
+                ENDIF
+                CALL local_stop
              ELSE
-                dopr_index(i) = 114
-                dopr_unit(i)  = 'kg/m3 m/s'
-                hom(:,2,114,:) = SPREAD( zw, 2, statistic_regions+1 )
+                dopr_index(i) = 49
+                hom(:,2,49,:) = SPREAD( zw, 2, statistic_regions+1 )
              ENDIF
 
           CASE ( 'ws' )
-             IF ( .NOT. passive_scalar )  THEN
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for passive_scalar = .FALSE.'
-                CALL message( 'check_parameters', 'PA0093', 1, 2, 0, 6, 0 )
+             IF ( .NOT. passive_scalar ) THEN
+                IF ( myid == 0 )  THEN
+                   PRINT*, '+++ check_parameters:  data_output_pr = ', &
+                           data_output_pr(i),                          &
+                           '    is not implemented for passive_scalar = FALSE'
+                ENDIF
+                CALL local_stop
              ELSE
-                dopr_index(i) = 118
-                dopr_unit(i)  = 'kg/m3 m/s'
-                hom(:,2,118,:) = SPREAD( zw, 2, statistic_regions+1 )
+                dopr_index(i) = 50
+                hom(:,2,50,:) = SPREAD( zw, 2, statistic_regions+1 )
              ENDIF
 
           CASE ( 'w"qv"' )
-             IF ( humidity  .AND.  .NOT. bulk_cloud_model )  THEN
+             IF ( moisture  .AND.  .NOT. cloud_physics ) &
+             THEN
                 dopr_index(i) = 48
-                dopr_unit(i)  = TRIM ( waterflux_output_unit )
                 hom(:,2,48,:) = SPREAD( zw, 2, statistic_regions+1 )
-             ELSEIF ( humidity  .AND.  bulk_cloud_model )  THEN
+             ELSEIF( moisture .AND. cloud_physics ) THEN
                 dopr_index(i) = 51
-                dopr_unit(i)  = TRIM ( waterflux_output_unit )
                 hom(:,2,51,:) = SPREAD( zw, 2, statistic_regions+1 )
              ELSE
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for bulk_cloud_model = .FALSE. ' //          &
-                                 'and humidity = .FALSE.'
-                CALL message( 'check_parameters', 'PA0095', 1, 2, 0, 6, 0 )
+                IF ( myid == 0 )  THEN
+                   PRINT*, '+++ check_parameters:  data_output_pr = ', &
+                           data_output_pr(i),                          &
+                           '    is not implemented for cloud_physics = FALSE', &
+                           '    and                    moisture      = FALSE'
+                ENDIF
+                CALL local_stop                   
              ENDIF
 
           CASE ( 'w*qv*' )
-             IF ( humidity  .AND.  .NOT. bulk_cloud_model )  THEN
+             IF ( moisture  .AND.  .NOT. cloud_physics ) &
+             THEN
                 dopr_index(i) = 49
-                dopr_unit(i)  = TRIM ( waterflux_output_unit )
                 hom(:,2,49,:) = SPREAD( zw, 2, statistic_regions+1 )
-             ELSEIF( humidity  .AND.  bulk_cloud_model )  THEN
+             ELSEIF( moisture .AND. cloud_physics ) THEN
                 dopr_index(i) = 52
-                dopr_unit(i)  = TRIM ( waterflux_output_unit )
                 hom(:,2,52,:) = SPREAD( zw, 2, statistic_regions+1 )
              ELSE
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for bulk_cloud_model = .FALSE. ' //          &
-                                 'and humidity = .FALSE.'
-                CALL message( 'check_parameters', 'PA0095', 1, 2, 0, 6, 0 )
+                IF ( myid == 0 )  THEN
+                   PRINT*, '+++ check_parameters:  data_output_pr = ',         &
+                           data_output_pr(i),                                  &
+                           '    is not implemented for cloud_physics = FALSE', &
+                           '                       and moisture      = FALSE'
+                ENDIF
+                CALL local_stop                   
              ENDIF
 
           CASE ( 'wqv' )
-             IF ( humidity  .AND.  .NOT. bulk_cloud_model )  THEN
+             IF ( moisture  .AND.  .NOT. cloud_physics ) &
+             THEN
                 dopr_index(i) = 50
-                dopr_unit(i)  = TRIM ( waterflux_output_unit )
                 hom(:,2,50,:) = SPREAD( zw, 2, statistic_regions+1 )
-             ELSEIF ( humidity  .AND.  bulk_cloud_model )  THEN
+             ELSEIF( moisture .AND. cloud_physics ) THEN
                 dopr_index(i) = 53
-                dopr_unit(i)  = TRIM ( waterflux_output_unit )
                 hom(:,2,53,:) = SPREAD( zw, 2, statistic_regions+1 )
              ELSE
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for bulk_cloud_model = .FALSE. ' //          &
-                                 'and humidity = .FALSE.'
-                CALL message( 'check_parameters', 'PA0095', 1, 2, 0, 6, 0 )
+                IF ( myid == 0 )  THEN
+                   PRINT*, '+++ check_parameters:  data_output_pr = ',         &
+                           data_output_pr(i),                                  &
+                           '    is not implemented for cloud_physics = FALSE', &
+                           '                       and moisture      = FALSE'
+                ENDIF
+                CALL local_stop                   
              ENDIF
 
           CASE ( 'ql' )
-             IF ( .NOT. bulk_cloud_model  .AND.  .NOT. cloud_droplets )  THEN
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for bulk_cloud_model = .FALSE. ' //          &
-                                 'and cloud_droplets = .FALSE.'
-                CALL message( 'check_parameters', 'PA0096', 1, 2, 0, 6, 0 )
+             IF ( .NOT. cloud_physics  .AND.  .NOT. cloud_droplets )  THEN
+                IF ( myid == 0 )  THEN
+                   PRINT*, '+++ check_parameters:  data_output_pr = ', &
+                           data_output_pr(i),                          &
+                           '    is not implemented for cloud_physics = FALSE'
+                ENDIF
+                CALL local_stop
              ELSE
                 dopr_index(i) = 54
-                dopr_unit(i)  = 'kg/kg'
                 hom(:,2,54,:)  = SPREAD( zu, 2, statistic_regions+1 )
              ENDIF
 
-          CASE ( 'w*u*u*:dz' )
+          CASE ( 'w*u*u*/dz' )
              dopr_index(i) = 55
-             dopr_unit(i)  = 'm2/s3'
              hom(:,2,55,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'w*p*:dz' )
+          CASE ( 'w*p*/dz' )
              dopr_index(i) = 56
-             dopr_unit(i)  = 'm2/s3'
-             hom(:,2,56,:) = SPREAD( zw, 2, statistic_regions+1 )
-
-          CASE ( 'w"e:dz' )
+             hom(:,2,56,:) = SPREAD( zu, 2, statistic_regions+1 )
+
+          CASE ( 'w"e/dz' )
              dopr_index(i) = 57
-             dopr_unit(i)  = 'm2/s3'
              hom(:,2,57,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'u"theta"' )
+          CASE ( 'u"pt"' )
              dopr_index(i) = 58
-             dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,58,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'u*theta*' )
+          CASE ( 'u*pt*' )
              dopr_index(i) = 59
-             dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,59,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'utheta_t' )
+          CASE ( 'upt_t' )
              dopr_index(i) = 60
-             dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,60,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'v"theta"' )
+          CASE ( 'v"pt"' )
              dopr_index(i) = 61
-             dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,61,:) = SPREAD( zu, 2, statistic_regions+1 )
-
-          CASE ( 'v*theta*' )
+             
+          CASE ( 'v*pt*' )
              dopr_index(i) = 62
-             dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,62,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'vtheta_t' )
+          CASE ( 'vpt_t' )
              dopr_index(i) = 63
-             dopr_unit(i)  = TRIM ( heatflux_output_unit )
              hom(:,2,63,:) = SPREAD( zu, 2, statistic_regions+1 )
 
-          CASE ( 'w*p*' )
-             dopr_index(i) = 68
-             dopr_unit(i)  = 'm3/s3'
-             hom(:,2,68,:) = SPREAD( zu, 2, statistic_regions+1 )
-
-          CASE ( 'w"e' )
-             dopr_index(i) = 69
-             dopr_unit(i)  = 'm3/s3'
-             hom(:,2,69,:) = SPREAD( zu, 2, statistic_regions+1 )
-
-          CASE ( 'q*2' )
-             IF (  .NOT.  humidity )  THEN
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for humidity = .FALSE.'
-                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
-             ELSE
-                dopr_index(i) = 70
-                dopr_unit(i)  = 'kg2/kg2'
-                hom(:,2,70,:) = SPREAD( zu, 2, statistic_regions+1 )
-             ENDIF
-
-          CASE ( 'hyp' )
-             dopr_index(i) = 72
-             dopr_unit(i)  = 'hPa'
-             hom(:,2,72,:) = SPREAD( zu, 2, statistic_regions+1 )
-
-          CASE ( 'rho' )
-             dopr_index(i)  = 119
-             dopr_unit(i)   = 'kg/m3'
-             hom(:,2,119,:) = SPREAD( zu, 2, statistic_regions+1 )
-
-          CASE ( 'rho_zw' )
-             dopr_index(i)  = 120
-             dopr_unit(i)   = 'kg/m3'
-             hom(:,2,120,:) = SPREAD( zw, 2, statistic_regions+1 )
-
-          CASE ( 'ug' )
-             dopr_index(i) = 78
-             dopr_unit(i)  = 'm/s'
-             hom(:,2,78,:) = SPREAD( zu, 2, statistic_regions+1 )
-
-          CASE ( 'vg' )
-             dopr_index(i) = 79
-             dopr_unit(i)  = 'm/s'
-             hom(:,2,79,:) = SPREAD( zu, 2, statistic_regions+1 )
-
-          CASE ( 'w_subs' )
-             IF (  .NOT.  large_scale_subsidence )  THEN
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for large_scale_subsidence = .FALSE.'
-                CALL message( 'check_parameters', 'PA0382', 1, 2, 0, 6, 0 )
-             ELSE
-                dopr_index(i) = 80
-                dopr_unit(i)  = 'm/s'
-                hom(:,2,80,:) = SPREAD( zu, 2, statistic_regions+1 )
-             ENDIF
-
-          CASE ( 's*2' )
-             IF (  .NOT.  passive_scalar )  THEN
-                message_string = 'data_output_pr = ' // TRIM( data_output_pr(i) ) //               &
-                                 ' is not implemented for passive_scalar = .FALSE.'
-                CALL message( 'check_parameters', 'PA0185', 1, 2, 0, 6, 0 )
-             ELSE
-                dopr_index(i) = 116
-                dopr_unit(i)  = 'kg2/m6'
-                hom(:,2,116,:) = SPREAD( zu, 2, statistic_regions+1 )
-             ENDIF
-
-           CASE ( 'eta' )
-              dopr_index(i) = 121
-              dopr_unit(i)  = 'mm'
-              hom(:,2,121,:) = SPREAD( zu, 2, statistic_regions+1 )
-
-              kolmogorov_length_scale = .TRUE.
 
           CASE DEFAULT
-             unit = 'illegal'
-!
-!--          Check for other modules
-             CALL module_interface_check_data_output_pr( data_output_pr(i), i, unit, dopr_unit(i) )
-
-!
-!--          No valid quantity found
-             IF ( unit == 'illegal' )  THEN
-                IF ( data_output_pr_user(1) /= ' ' )  THEN
-                   message_string = 'illegal value for data_output_pr or ' //                      &
-                                    'data_output_pr_user = "' // TRIM( data_output_pr(i) ) // '"'
-                   CALL message( 'check_parameters', 'PA0097', 1, 2, 0, 6, 0 )
-                ELSE
-                   message_string = 'illegal value for data_output_pr = "' //                      &
-                                    TRIM( data_output_pr(i) ) // '"'
-                   CALL message( 'check_parameters', 'PA0098', 1, 2, 0, 6, 0 )
-                ENDIF
-             ENDIF
+             IF ( myid == 0 )  THEN
+                PRINT*, '+++ check_parameters:  unknown output profile:  ', &
+                        'data_output_pr = ', data_output_pr(i)
+             ENDIF
+             CALL local_stop
 
        END SELECT
+!
+!--    Check to which of the predefined coordinate systems the profile belongs
+       DO  k = 1, crmax
+          IF ( INDEX( cross_profiles(k), ' '//TRIM( data_output_pr(i) )//' ' ) &
+               /=0 ) &
+          THEN
+             dopr_crossindex(i) = k
+             EXIT
+          ENDIF
+       ENDDO
+!
+!--    Generate the text for the labels of the PROFIL output file. "-characters
+!--    must be substituted, otherwise PROFIL would interpret them as TeX
+!--    control characters
+       dopr_label(i) = data_output_pr(i)
+       position = INDEX( dopr_label(i) , '"' )
+       DO WHILE ( position /= 0 )
+          dopr_label(i)(position:position) = ''''
+          position = INDEX( dopr_label(i) , '"' )
+       ENDDO
 
     ENDDO
 
+!
+!-- y-value range of the coordinate system (PROFIL).
+!-- x-value range determined in plot_1d.
+    cross_uymin = 0.0
+    IF ( z_max_do1d == -1.0 )  THEN
+       cross_uymax = zu(nzt+1)
+    ELSEIF ( z_max_do1d < zu(nzb+1)  .OR.  z_max_do1d > zu(nzt+1) )  THEN
+       IF ( myid == 0 )  PRINT*, '+++ check_parameters:  z_max_do1d=',  &
+                                 z_max_do1d,' must be >= ', zu(nzb+1),  &
+                                 ' or <= ', zu(nzt+1)
+       CALL local_stop
+    ELSE
+       cross_uymax = z_max_do1d
+    ENDIF
+
+!
+!-- Check whether the chosen normalizing factor for the coordinate systems is 
+!-- permissible
+    DO  i = 1, crmax
+       SELECT CASE ( TRIM( cross_normalized_x(i) ) )  ! TRIM required on IBM
+
+          CASE ( '', 'wpt0', 'ws2', 'tsw2', 'ws3', 'ws2tsw', 'wstsw2' )
+             j = 0
+
+          CASE DEFAULT
+             IF ( myid == 0 )  THEN
+                PRINT*, '+++ check_parameters: unknown normalize method'
+                PRINT*, '    cross_normalized_x="',cross_normalized_x(i),'"'
+             ENDIF
+             CALL local_stop
+
+       END SELECT
+       SELECT CASE ( TRIM( cross_normalized_y(i) ) )  ! TRIM required on IBM
+
+          CASE ( '', 'z_i' )
+             j = 0
+
+          CASE DEFAULT
+             IF ( myid == 0 )  THEN
+                PRINT*, '+++ check_parameters: unknown normalize method'
+                PRINT*, '    cross_normalized_y="',cross_normalized_y(i),'"'
+             ENDIF
+             CALL local_stop
+
+       END SELECT
+    ENDDO
+!
+!-- Check normalized y-value range of the coordinate system (PROFIL)
+    IF ( z_max_do1d_normalized /= -1.0  .AND.  z_max_do1d_normalized <= 0.0 ) &
+    THEN
+       IF ( myid == 0 )  PRINT*,'+++ check_parameters:  z_max_do1d_normalize', &
+                                'd=', z_max_do1d_normalized, ' must be >= 0.0'
+       CALL local_stop
+    ENDIF
+
+!
+!-- Determine parameters for time series output and check whether permissible
+    i = 0
+    DO  WHILE ( data_output_ts(i+1) /= '          '  .AND.  i+1 <= 100 )
+
+       dots_n = dots_n + 1
+       i = i + 1
+!
+!--    Check whether time series is permissible and determine internal number
+       SELECT CASE ( TRIM( data_output_ts(i) ) )
+
+          CASE ( 'E' )
+             dots_index(i) = 1
+          CASE ( 'E*' )
+             dots_index(i) = 2
+          CASE ( 'dt' )
+             dots_index(i) = 3
+          CASE ( 'u*' )
+             dots_index(i) = 4
+          CASE ( 'th*' )
+             dots_index(i) = 5
+          CASE ( 'umax' )
+             dots_index(i) = 6
+          CASE ( 'vmax' )
+             dots_index(i) = 7
+          CASE ( 'wmax' )
+             dots_index(i) = 8
+          CASE ( 'div_new' )
+             dots_index(i) = 9
+          CASE ( 'div_old' )
+             dots_index(i) = 10
+          CASE ( 'z_i_wpt' )
+             dots_index(i) = 11
+          CASE ( 'z_i_pt' )
+             dots_index(i) = 12
+          CASE ( 'w*' )
+             dots_index(i) = 13
+          CASE ( 'w"pt"0' )
+             dots_index(i) = 14
+          CASE ( 'w"pt"' )
+             dots_index(i) = 15
+          CASE ( 'wpt' )
+             dots_index(i) = 16
+          CASE ( 'pt(0)' )
+             dots_index(i) = 17
+          CASE ( 'pt(zp)' )
+             dots_index(i) = 18
+          CASE ( 'splptx'  )
+             dots_index(i) = 19
+          CASE ( 'splpty'  )
+             dots_index(i) = 20
+          CASE ( 'splptz'  )
+             dots_index(i) = 21
+          CASE ( 'L'       )
+             dots_index(i) = 22
+
+          CASE DEFAULT
+             IF ( myid == 0 )  THEN
+                PRINT*, '+++ check_parameters:  unknown time series:  ', &
+                             'data_output_ts = ',&
+                        data_output_ts(i)
+             ENDIF
+             CALL local_stop
+
+       END SELECT
+
+!
+!--    Check, to which predefined coordinate system the time series belongs, and
+!--    store corresponding internal number. Furthermore determine, how many and 
+!--    which graphs are being drawn into the corresponding system
+       DO  k = 1, crmax
+          IF ( INDEX( cross_ts_profiles(k), ' ' // TRIM( data_output_ts(i) ) &
+                      // ' ' ) /=0 )  &
+          THEN
+             dots_crossindex(i) = k
+             cross_ts_number_count(k) = cross_ts_number_count(k) + 1
+             cross_ts_numbers(cross_ts_number_count(k),k) = dots_index(i)
+             EXIT
+          ENDIF
+       ENDDO
+
+    ENDDO
 
 !
@@ -2258,13 +1854,16 @@
     IF ( data_output_user(1) /= ' ' )  THEN
        i = 1
-       DO  WHILE ( data_output(i) /= ' '  .AND.  i <= 500 )
+       DO  WHILE ( data_output(i) /= ' '  .AND.  i <= 100 )
           i = i + 1
        ENDDO
        j = 1
-       DO  WHILE ( data_output_user(j) /= ' '  .AND.  j <= 500 )
-          IF ( i > 500 )  THEN
-             message_string = 'number of output quantitities given by data' //                     &
-                              '_output and data_output_user exceeds the limit of 500'
-             CALL message( 'check_parameters', 'PA0102', 1, 2, 0, 6, 0 )
+       DO  WHILE ( data_output_user(j) /= ' '  .AND.  j <= 100 )
+          IF ( i > 100 )  THEN
+             IF ( myid == 0 )  THEN
+                PRINT*, '+++ check_parameters: number of output quantitities', &
+                             ' given by data_output and data_output_user'
+                PRINT*, '                      exceeds the limit of 100'
+             ENDIF
+             CALL local_stop
           ENDIF
           data_output(i) = data_output_user(j)
@@ -2273,14 +1872,9 @@
        ENDDO
     ENDIF
-!
-!-- Check data-output variable list for any duplicates and remove them
-    ALLOCATE( data_output_filtered(1:UBOUND( data_output, DIM=1 )) )
-    CALL filter_duplicate_strings( varnamelength, data_output, data_output_filtered )
-    data_output = data_output_filtered
-    DEALLOCATE( data_output_filtered )
+
 !
 !-- Check and set steering parameters for 2d/3d data output and averaging
     i   = 1
-    DO  WHILE ( data_output(i) /= ' '  .AND.  i <= 500 )
+    DO  WHILE ( data_output(i) /= ' '  .AND.  i <= 100 )
 !
 !--    Check for data averaging
@@ -2299,11 +1893,11 @@
        var = data_output(i)(1:ilen)
        IF ( ilen > 3 )  THEN
-          IF ( data_output(i)(ilen-2:ilen) == '_xy'  .OR.  data_output(i)(ilen-2:ilen) == '_xz'    &
-               .OR.  data_output(i)(ilen-2:ilen) == '_yz' )  THEN
+          IF ( data_output(i)(ilen-2:ilen) == '_xy'  .OR. &
+               data_output(i)(ilen-2:ilen) == '_xz'  .OR. &
+               data_output(i)(ilen-2:ilen) == '_yz' )  THEN
              k = 1                                             ! 2d data
              var = data_output(i)(1:ilen-3)
           ENDIF
        ENDIF
-
 !
 !--    Check for allowed value and set units
